<bugID>930202<Summary>Restoring during async collection can cause problems</Summary><Description>TabState.collect spawns a task to collect tab data. While this is happening, we can restore a tab. Right now there are a few problems if that happens.</Description></bugID>